[arch-commits] Commit in eclipse-ecj/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 29 11:00:59 EDT 2008


    Date: Thursday, May 29, 2008 @ 11:00:59
  Author: jgc
Revision: 2218

Update to 3.3.2, use gjar instead of fastjar to reduce makedepends

Modified:
  eclipse-ecj/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-29 13:09:45 UTC (rev 2217)
+++ PKGBUILD	2008-05-29 15:00:59 UTC (rev 2218)
@@ -2,19 +2,19 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=eclipse-ecj
-pkgver=3.3.1.1
+pkgver=3.3.2
 pkgrel=1
-_date=200710231652
+_date=200802211800
 pkgdesc="Eclipse java bytecode compiler"
 arch=('i686' 'x86_64')
 license=('EPL')
 url="http://www.eclipse.org/"
 depends=('gcc-gcj')
-makedepends=('unzip' 'fastjar' 'apache-ant')
+makedepends=('unzip' 'apache-ant')
 source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/ecjsrc.zip
 	ecj
         ecj-gccmain.diff)
-md5sums=('b3752ab100367bff4fb21467f73a7c8d'
+md5sums=('c1d89b9de8170fc91e30c3a02002244f'
          '935d1faaeab4315f82a79a032a41a80a'
          '2cc746a12da0978aef2ae504a208fd6f')
 
@@ -32,7 +32,7 @@
   find build/bin -name '*.html' -delete || return 1
 
   mkdir -p build/bootstrap
-  fastjar -c -C build/bin . -f build/bootstrap/eclipse-ecj.jar || return 1
+  gjar -c -C build/bin org -f build/bootstrap/eclipse-ecj.jar || return 1
 
   rm -rf build/bin
   mkdir build/bin
@@ -40,13 +40,13 @@
 
   gij -classpath build/bootstrap/eclipse-ecj.jar:/usr/lib/ant.jar \
       org.eclipse.jdt.internal.compiler.batch.Main \
-      -bootclasspath /usr/share/java/libgcj-4.2.jar build/bin || return 1
+      -bootclasspath /usr/share/java/libgcj-4.3.jar build/bin || return 1
 
   find build/bin -name '*.java' -delete || return 1
   find build/bin -name '*.html' -delete || return 1
 
   mkdir -p build/dist
-  fastjar -c -C build/bin . -f build/dist/eclipse-ecj.jar || return 1
+  gjar -c -C build/bin org -f build/dist/eclipse-ecj.jar || return 1
 
   mkdir -p ${startdir}/pkg/usr/share/java
   mkdir -p ${startdir}/pkg/usr/bin





More information about the arch-commits mailing list